Create a person
Create a new person in a household
curl --request POST \
--url https://api.slant.app/v1/households/{household_id}/people \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"middle_name": "Robert",
"preferred_name": "Johnny",
"salutation": "Mr.",
"suffix": "Jr.",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "spouse",
"date_of_birth": "1985-06-15",
"job_title": "Software Engineer",
"email_addresses": [
{
"email": "john@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true
}
],
"addresses": [
{
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US",
"address_type": "home",
"is_primary": true
}
],
"employments": [
{
"business_name": "Acme Corp",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}
],
"ssn": "123-45-6789",
"drivers_license_number": "DL-1234567890",
"custom_fields": {
"preferred_contact_method": "Email"
}
}
'import requests
url = "https://api.slant.app/v1/households/{household_id}/people"
payload = {
"first_name": "John",
"last_name": "Doe",
"middle_name": "Robert",
"preferred_name": "Johnny",
"salutation": "Mr.",
"suffix": "Jr.",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "spouse",
"date_of_birth": "1985-06-15",
"job_title": "Software Engineer",
"email_addresses": [
{
"email": "john@example.com",
"email_type": "personal",
"is_primary": True
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": True
}
],
"addresses": [
{
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US",
"address_type": "home",
"is_primary": True
}
],
"employments": [
{
"business_name": "Acme Corp",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": True
}
],
"ssn": "123-45-6789",
"drivers_license_number": "DL-1234567890",
"custom_fields": { "preferred_contact_method": "Email" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
middle_name: 'Robert',
preferred_name: 'Johnny',
salutation: 'Mr.',
suffix: 'Jr.',
gender: 'male',
designations: 'CPA, CFP',
household_role: 'spouse',
date_of_birth: '1985-06-15',
job_title: 'Software Engineer',
email_addresses: [{email: 'john@example.com', email_type: 'personal', is_primary: true}],
phone_numbers: [{phone_number: '+15555551234', phone_type: 'mobile', is_primary: true}],
addresses: [
{
line1: '123 Main St',
line2: 'Apt 4B',
city: 'New York',
state: 'NY',
zip: '10001',
country_code: 'US',
address_type: 'home',
is_primary: true
}
],
employments: [
{
business_name: 'Acme Corp',
role: 'Software Engineer',
start_date: '2023-01-15',
end_date: '2024-12-31',
actively_employed: true
}
],
ssn: '123-45-6789',
drivers_license_number: 'DL-1234567890',
custom_fields: {preferred_contact_method: 'Email'}
})
};
fetch('https://api.slant.app/v1/households/{household_id}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"book_id": "book123xyz",
"first_name": "John",
"last_name": "Doe",
"household_id": "xyz789abc",
"contact_id": "cnt456def",
"role_type": "client",
"middle_name": "Robert",
"salutation": "Mr.",
"suffix": "Jr.",
"maiden_name": "Smith",
"gender": "male",
"designations": "CPA, CFP",
"household_role": "head_of_household",
"preferred_name": "Johnny",
"date_of_birth": "1985-06-15",
"job_title": "Software Engineer",
"ssn": "***-**-6789",
"drivers_license_number": "******7890",
"email_addresses": [
{
"email": "john.doe@example.com",
"email_type": "personal",
"is_primary": true
}
],
"phone_numbers": [
{
"phone_number": "+15555551234",
"phone_type": "mobile",
"is_primary": true,
"extension": "1234"
}
],
"addresses": [
{
"address_type": "home",
"is_primary": true,
"line1": "123 Main St",
"line2": "Apt 4B",
"city": "New York",
"state": "NY",
"zip": "10001",
"country_code": "US"
}
],
"employments": [
{
"business_name": "Acme Corp",
"id": "emp123xyz",
"person_id": "abc123xyz",
"role": "Software Engineer",
"start_date": "2023-01-15",
"end_date": "2024-12-31",
"actively_employed": true
}
],
"custom_fields": {
"preferred_contact_method": "Email",
"risk_tolerance": "Moderate"
}
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Headers
Unique key to ensure idempotent request handling. If a request with the same key was already processed, the original response will be returned.
Path Parameters
The household ID
Body
First name
"John"
Last name
"Doe"
Middle name
"Robert"
Preferred name
"Johnny"
Salutation
"Mr."
Suffix
"Jr."
Gender
female, male, nonbinary, other, prefer_not_to_say "male"
Professional designations
"CPA, CFP"
Role in the household
head_of_household, partner, spouse, dependent_child, other_adult, non_dependent_child, other_dependent, unknown, deceased, grandchild "spouse"
Date of birth
"1985-06-15"
Job title
"Software Engineer"
Array of email addresses
Show child attributes
Show child attributes
Array of phone numbers
Show child attributes
Show child attributes
Array of addresses
Show child attributes
Show child attributes
Array of employment records
Show child attributes
Show child attributes
Social security number
"123-45-6789"
Driver's license number
"DL-1234567890"
Custom field values as key-value pairs
{ "preferred_contact_method": "Email" }
Response
person created
The person ID
"abc123xyz"
The book ID
"book123xyz"
"John"
"Doe"
The household ID
"xyz789abc"
The contact ID (present when person belongs to a contact)
"cnt456def"
The entity type this person belongs to
client, prospect, contact, past_client "client"
"Robert"
"Mr."
"Jr."
"Smith"
female, male, nonbinary, other, prefer_not_to_say "male"
"CPA, CFP"
Only present when person belongs to a household
head_of_household, partner, spouse, dependent_child, other_adult, other_dependent, unknown, deceased, non_dependent_child, grandchild "head_of_household"
"Johnny"
Date of birth
"1985-06-15"
Job title
"Software Engineer"
Obfuscated social security number
"***-**-6789"
Obfuscated driver's license number
"******7890"
Array of email addresses with primary designation
Show child attributes
Show child attributes
Array of phone numbers with primary designation
Show child attributes
Show child attributes
Array of addresses with primary designation
Show child attributes
Show child attributes
Array of employment records
Show child attributes
Show child attributes
Custom field values as key-value pairs
{
"preferred_contact_method": "Email",
"risk_tolerance": "Moderate"
}
